: Class PjPagesNode

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.etymon.pj.object
Class PjPagesNode

    java.lang.Object
      |
      +--com.etymon.pj.object.BaseObject
            |
            +--com.etymon.pj.object.PjObject
                  |
                  +--com.etymon.pj.object.PjDictionary
                        |
                        +--com.etymon.pj.object.PjPagesNode

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  PjPage, PjPages

public abstract class PjPagesNode
extends PjDictionary

A representation of a dictionary node in a PDF Pages tree (abstract base class).

Fields inherited from class com.etymon.pj.object.PjDictionary
`_h`

Constructor Summary
`PjPagesNode()` Creates a new Pages dictionary node.
`PjPagesNode(java.util.Hashtable h)` Creates a Pages dictionary node as a wrapper around a Hashtable.

Method Summary
`PjObject` | `getAA()`
`PjObject` | `getCropBox()`
`PjObject` | `getDur()`
`PjObject` | `getHid()`
`PjObject` | `getMediaBox()`
`PjReference` | `getParent()`
`PjObject` | `getResources()`
`PjObject` | `getRotate()`
`PjObject` | `getTrans()`
`void` | `setAA(PjDictionary aA)`
`void` | `setAA(PjReference aA)`
`void` | `setCropBox(PjRectangle cropBox)`
`void` | `setCropBox(PjReference cropBox)`
`void` | `setDur(PjNumber dur)`
`void` | `setDur(PjReference dur)`
`void` | `setHid(PjBoolean hid)`
`void` | `setHid(PjReference hid)`
`void` | `setMediaBox(PjRectangle mediaBox)`
`void` | `setMediaBox(PjReference mediaBox)`
`void` | `setParent(PjReference parent)`
`void` | `setResources(PjReference resources)`
`void` | `setResources(PjResources resources)`
`void` | `setRotate(PjNumber rotate)`
`void` | `setRotate(PjReference rotate)`
`void` | `setTrans(PjDictionary trans)`
`void` | `setTrans(PjReference trans)`

Methods inherited from class com.etymon.pj.object.PjDictionary
`clone, cloneHt, getHashtable, hget, hgetReference, renumber, writePdf`

Methods inherited from class com.etymon.pj.object.BaseObject
`toString, write, write, write, writeln`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PjPagesNode

    public PjPagesNode()

  Creates a new Pages dictionary node.

### PjPagesNode

    public PjPagesNode(java.util.Hashtable h)

  Creates a Pages dictionary node as a wrapper around a Hashtable.
  Parameters:
    `h` - the Hashtable to use for this dictionary node.

Method Detail

### setParent

    public void setParent(PjReference parent)

### getParent

    public PjReference getParent()
                          throws InvalidPdfObjectException

### setMediaBox

    public void setMediaBox(PjRectangle mediaBox)

### setMediaBox

    public void setMediaBox(PjReference mediaBox)

### getMediaBox

    public PjObject getMediaBox()
                         throws InvalidPdfObjectException

### setResources

    public void setResources(PjResources resources)

### setResources

    public void setResources(PjReference resources)

### getResources

    public PjObject getResources()
                          throws InvalidPdfObjectException

### setCropBox

    public void setCropBox(PjRectangle cropBox)

### setCropBox

    public void setCropBox(PjReference cropBox)

### getCropBox

    public PjObject getCropBox()
                        throws InvalidPdfObjectException

### setRotate

    public void setRotate(PjNumber rotate)

### setRotate

    public void setRotate(PjReference rotate)

### getRotate

    public PjObject getRotate()
                       throws InvalidPdfObjectException

### setDur

    public void setDur(PjNumber dur)

### setDur

    public void setDur(PjReference dur)

### getDur

    public PjObject getDur()
                    throws InvalidPdfObjectException

### setHid

    public void setHid(PjBoolean hid)

### setHid

    public void setHid(PjReference hid)

### getHid

    public PjObject getHid()
                    throws InvalidPdfObjectException

### setTrans

    public void setTrans(PjDictionary trans)

### setTrans

    public void setTrans(PjReference trans)

### getTrans

    public PjObject getTrans()
                      throws InvalidPdfObjectException

### setAA

    public void setAA(PjDictionary aA)

### setAA

    public void setAA(PjReference aA)

### getAA

    public PjObject getAA()
                   throws InvalidPdfObjectException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD